=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for phyml

%:
	dh $@ --with autoreconf

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_auto_configure:
override_dh_auto_build:
	# According to README you need different configure options to get different executables
	# Here we hack in a full build process for phyml executable
	dh_auto_configure
	dh_auto_build -- LDFLAGS="$(LDFLAGS)"
	# move phyml binary to temporary dir inside debian/
	$(MAKE) prefix=$(CURDIR)/debian install
	$(MAKE) distclean
	dh_auto_configure -- --enable-phytime
	dh_auto_build -- LDFLAGS="$(LDFLAGS)"

override_dh_auto_install:
	dh_auto_install
	# install phyml binary we have kept safe above
	mv $(CURDIR)/debian/bin/* $(CURDIR)/debian/phyml/usr/bin

override_dh_auto_clean:
	dh_auto_clean
	# remove temporary bin dir for phyml (see above hack)
	rm -rf debian/bin

override_dh_installdocs:
	dh_installdocs
	mv $(CURDIR)/debian/phyml/usr/share/doc/phyml/phyml-manual.pdf $(CURDIR)/debian/phyml/usr/share/doc/phyml/phyml_manual.pdf

override_dh_compress:
	dh_compress --exclude=.pdf
