=== debian/watch ===
version=3
opts=downloadurlmangle=s|^(http:)//code\.google\.com(//phyml\.googlecode\.com/)|$1$2| \
http://code.google.com/p/phyml/downloads/list?can=3&q=PhyML+Sources \
.*/phyml(?:-|\.|_|_v)(\d\S*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz|zip|jar)
